Update External Endpoint

Update External Endpoint
Update an external endpoint.

Update an external endpoint. Vendor, name and version cannot be modified.

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/externalEndpoints/{id}
COPY
Path Parameters
string
id
Required

id


Request Body
ExternalEndpoint of type(s) application/json
Optional

Show optional properties

{
    "name": "string",
    "version": "1.0.0",
    "vendor": "VMware",
    "enabled": false,
    "rootUrl": "https://externalHost"
}
{
    "name": "string",
    "id": "urn:vcloud:externalEndpoint:vendor.name:1.0.0",
    "version": "1.0.0",
    "vendor": "VMware",
    "enabled": false,
    "description": "string",
    "rootUrl": "https://externalHost"
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ExternalEndpoint of type(s) application/json;version=9.1.0
{
    "name": "string",
    "id": "urn:vcloud:externalEndpoint:vendor.name:1.0.0",
    "version": "1.0.0",
    "vendor": "VMware",
    "enabled": false,
    "description": "string",
    "rootUrl": "https://externalHost"
}

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"enabled":"boolean","name":"string","rootUrl":"string","vendor":"string","version":"string"}' https://{api_host}/cloudapi/1.0.0/externalEndpoints/{id}